PLaSK library

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
plask::solvers::FermiNew::FermiNewGainSolver< GeometryType >::ActiveRegionData Struct Reference

Structure containing information about each active region. More...

`#include <solvers/gain/wasiak/ferminew.hpp>`

Inheritance diagram for plask::solvers::FermiNew::FermiNewGainSolver< GeometryType >::ActiveRegionData:
[legend]
Collaboration diagram for plask::solvers::FermiNew::FermiNewGainSolver< GeometryType >::ActiveRegionData:
[legend]

## Public Member Functions
| ActiveRegionData (Vec< 2 > origin)
size_t | size () const
| Return number of layers in the active region with surrounding barriers.
shared_ptr< Material > | getLayerMaterial (size_t n) const
| Return material of `n-th` layer.
Box2D | getLayerBox (size_t n) const
| Return translated bounding box of `n-th` layer.
bool | isQW (size_t n) const
| Return `true` if given layer is quantum well.
Box2D | getBoundingBox () const
| Return bounding box of the whole active region.
bool | contains (const Vec< 2 > &point) const
| Return `true` if the point is in the active region.
bool | inQW (const Vec< 2 > &point) const
| Return `true` if given point is inside quantum well.
void | summarize (const FermiNewGainSolver< GeometryType > *solver)
| Summarize active region, check for appropriateness and compute some values.

## Public Attributes
shared_ptr< StackContainer< 2 > > | layers
| Stack containing all layers in the active region.
Vec< 2 > | origin
| Location of the active region stack origin.
std::set< int > | QWs
std::vector< double > | lens
| Thicknesses of the layers in the active region.
double | qwlen
| Single quantum well thickness [Å].
double | qwtotallen
| Total quantum wells thickness [Å].
double | totallen
| Total active region thickness [Å].

## Detailed Description

template<typename GeometryType>
struct plask::solvers::FermiNew::FermiNewGainSolver< GeometryType >::ActiveRegionData

Structure containing information about each active region.

Definition at line 49 of file ferminew.hpp.

## Constructor & Destructor Documentation

## ◆ ActiveRegionData()

template<typename GeometryType >

plask::solvers::FermiNew::FermiNewGainSolver< GeometryType >::ActiveRegionData::ActiveRegionData | ( | Vec< 2 > | origin | ) |
| inline

Definition at line 63 of file ferminew.hpp.

## Member Function Documentation

## ◆ contains()

template<typename GeometryType >

bool plask::solvers::FermiNew::FermiNewGainSolver< GeometryType >::ActiveRegionData::contains | ( | const Vec< 2 > & | point | ) | const
| inline

Return `true` if the point is in the active region.

Definition at line 87 of file ferminew.hpp.

## ◆ getBoundingBox()

template<typename GeometryType >

Box2D plask::solvers::FermiNew::FermiNewGainSolver< GeometryType >::ActiveRegionData::getBoundingBox | ( |  | ) | const
| inline

Return bounding box of the whole active region.

Definition at line 84 of file ferminew.hpp.

## ◆ getLayerBox()

template<typename GeometryType >

Box2D plask::solvers::FermiNew::FermiNewGainSolver< GeometryType >::ActiveRegionData::getLayerBox | ( | size_t | n | ) | const
| inline

Return translated bounding box of `n-th` layer.

Definition at line 76 of file ferminew.hpp.

## ◆ getLayerMaterial()

template<typename GeometryType >

shared_ptr< Material > plask::solvers::FermiNew::FermiNewGainSolver< GeometryType >::ActiveRegionData::getLayerMaterial | ( | size_t | n | ) | const
| inline

Return material of `n-th` layer.

Definition at line 69 of file ferminew.hpp.

## ◆ inQW()

template<typename GeometryType >

bool plask::solvers::FermiNew::FermiNewGainSolver< GeometryType >::ActiveRegionData::inQW | ( | const Vec< 2 > & | point | ) | const
| inline

Return `true` if given point is inside quantum well.

Definition at line 90 of file ferminew.hpp.

## ◆ isQW()

template<typename GeometryType >

bool plask::solvers::FermiNew::FermiNewGainSolver< GeometryType >::ActiveRegionData::isQW | ( | size_t | n | ) | const
| inline

Return `true` if given layer is quantum well.

Definition at line 81 of file ferminew.hpp.

## ◆ size()

template<typename GeometryType >

size_t plask::solvers::FermiNew::FermiNewGainSolver< GeometryType >::ActiveRegionData::size | ( |  | ) | const
| inline

Return number of layers in the active region with surrounding barriers.

Definition at line 66 of file ferminew.hpp.

## ◆ summarize()

template<typename GeometryType >

void plask::solvers::FermiNew::FermiNewGainSolver< GeometryType >::ActiveRegionData::summarize | ( | const FermiNewGainSolver< GeometryType > * | solver | ) |
| inline

Summarize active region, check for appropriateness and compute some values.

Parameters

  solver | solver

Definition at line 100 of file ferminew.hpp.

## Member Data Documentation

## ◆ layers

template<typename GeometryType >

shared_ptr<StackContainer<2> > plask::solvers::FermiNew::FermiNewGainSolver< GeometryType >::ActiveRegionData::layers

Stack containing all layers in the active region.

Definition at line 50 of file ferminew.hpp.

## ◆ lens

template<typename GeometryType >

std::vector<double> plask::solvers::FermiNew::FermiNewGainSolver< GeometryType >::ActiveRegionData::lens

Thicknesses of the layers in the active region.

Definition at line 55 of file ferminew.hpp.

## ◆ origin

template<typename GeometryType >

Vec<2> plask::solvers::FermiNew::FermiNewGainSolver< GeometryType >::ActiveRegionData::origin

Location of the active region stack origin.

Definition at line 51 of file ferminew.hpp.

## ◆ qwlen

template<typename GeometryType >

double plask::solvers::FermiNew::FermiNewGainSolver< GeometryType >::ActiveRegionData::qwlen

Single quantum well thickness [Å].

Definition at line 59 of file ferminew.hpp.

## ◆ QWs

template<typename GeometryType >

std::set<int> plask::solvers::FermiNew::FermiNewGainSolver< GeometryType >::ActiveRegionData::QWs

Definition at line 52 of file ferminew.hpp.

## ◆ qwtotallen

template<typename GeometryType >

double plask::solvers::FermiNew::FermiNewGainSolver< GeometryType >::ActiveRegionData::qwtotallen

Total quantum wells thickness [Å].

Definition at line 60 of file ferminew.hpp.

## ◆ totallen

template<typename GeometryType >

double plask::solvers::FermiNew::FermiNewGainSolver< GeometryType >::ActiveRegionData::totallen

Total active region thickness [Å].

Definition at line 61 of file ferminew.hpp.

The documentation for this struct was generated from the following file:

- solvers/gain/wasiak/ferminew.hpp